﻿:root {
    --tpfa-red: #920001;
    --Main-Font: Helvetica;
    /**/
    --header-button-back-color: #343A40; /*#343A40*/
    --header-button-back-hover: #343A40; /*#28A745*/
    --header-button-fore-color: white;
    --header-button-fore-hover: #ffe111; /*#ffc014*/
    --header-button-border-color: #343A40;
    --header-button-border-hover: #343A40;
    /**/
    --button-back-color: #343A40; /*#343A40*/
    --button-back-hover: #343A40; /*#28A745*/
    --button-fore-color: white;
    --button-fore-hover: #ffe111;
    --button-border-color: white;
    --button-border-hover: #ffe111;
    /**/
    --header-back-color: #343A40;
    --header-font-color: white;
    /**/
    --footer-back-color: #343A40;
    --footer-fore-color: white;
    /**/
    --dropdown-back-color: #343A40;
    --dropdown-back-hover: #343A40;
    --dropdown-fore-color: white;
    --dropdown-fore-hover: white;
    /**/
    --menu-divider-color: white;
    /**/
    --toggle-button-back-color: #343A40; /*#343A40*/
    --toggle-button-back-hover: #343A40; /*#28A745*/
    --toggle-button-fore-color: white;
    --toggle-button-fore-hover: #ffc014;
    --toggle-button-border-color: #343A40;
    --toggle-button-border-hover: #ffc014;
    /**/
    --brand-color: #ffe111;
    --brand-hover-color: #ffe111;
    /**/
    --container-color-01: #660033; /*A&M*/
    --container-color-02: #CC5500; /*UT*/
    --container-color-03: #00205B; /*Rice*/
    --container-color-04: #154734; /*Baylor green*/
    --container-color-05: #CC0000; /*Texas Tech*/
    --container-color-06: #4D1979; /*TCU*/
}

/*Multi-column dropdown styles*/
.dropdown-menu {
    min-width: 200px;
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

    .dropdown-menu.columns-2 {
        min-width: 400px;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

    .dropdown-menu.columns-2-wide {
        min-width: 800px;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

    .dropdown-menu.columns-3 {
        min-width: 600px;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

    .dropdown-menu.columns-3-wide {
        min-width: 900px;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

    .dropdown-menu li a {
        padding: 5px 15px;
        font-weight: 300;
        font-family: Helvetica;
        font-size: 14px;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

.multi-column-dropdown {
    list-style: none;
    margin: 0px;
    padding: 0px;
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

    .multi-column-dropdown li a {
        display: block;
        clear: both;
        line-height: 1.428571429;
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
        white-space: normal;
    }

        .multi-column-dropdown li a:hover {
            text-decoration: none;
            color: var(--dropdown-fore-hover);
            background-color: var(--dropdown-back-hover);
        }

@media (max-width: 767px) {
    .dropdown-menu.multi-column {
        min-width: 240px !important;
        overflow-x: hidden;
    }
}

ul.dropdown-menu {
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

.multi-col-li-style {
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

    .multi-col-li-style li:hover {
        color: var(--dropdown-fore-hover);
        background-color: var(--dropdown-back-hover);
    }

.multi-col-divider {
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

    .multi-col-divider li:hover {
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

.section-header {
    padding-left: 15px;
    font-family: Helvetica;
    font-weight: bold;
    font-size: 13px;
    text-decoration: none;
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}

    .section-header li:hover {
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }

.section-item {
    display: block;
    padding-left: 10px;
    font-family: Helvetica;
}



.sub-section-header {
    padding-left: 25px;
    font-family: Helvetica;
    font-family: Helvetica;
    font-weight: bold;
    font-size: 13px;
    text-decoration: none;
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}


    .sub-section-header li:hover {
        color: var(--dropdown-fore-color);
        background-color: var(--dropdown-back-color);
    }


.sub-section-item {
    display: block;
    padding-left: 30px;
    font-family: Helvetica;
}
/*End Multi-column dropdown styles*/

/****************************************************************************************************************/

/*Navbar styles*/
html,
body {
    height: 100%;
    /* The html and body elements cannot have any padding or margin. */
}

/* Wrapper for page content to push down footer */
#wrap {
    min-height: 100%;
    height: auto;
    /* Negative indent footer by its height */
    margin: 0 auto -60px;
    /* Pad bottom by footer height */
    padding: 0 0 60px;
}

.site-header-style {
    color: var(--header-button-fore-hover) !important;
    font-family: var(--Main-Font);
    white-space: normal;
    font-size: 40px;
    font-weight: bold;
}

.mobile-site-header-style {
    color: var(--header-button-fore-hover) !important;
    font-family: var(--Main-Font);
    white-space: normal;
    font-size: 16px;
    font-weight: bold;
}

.footer-brand-style {
    color: var(--header-button-fore-hover);
    white-space: normal;
}

.footer-brand-style:focus {
    outline: none !important;
    border: 2px solid white;
}

.header {
    background-color: var(--header-back-color);
}

.navbar {
    background-color: var(--header-back-color);
}



    .navbar a {
        color: var(--header-button-fore-color) !important;
        /*background-color: var(--header-button-back-color) !important;
		border: 1px solid var(--header-button-border-color !important);*/
    }

        .navbar a:hover, .navbar a:focus {
            color: var(--header-button-fore-hover) !important;
        }

        .navbar a:focus-visible {
            border: 2px solid white;
        }

        /*.navbar a:active {
            border: 2px solid var(--header-back-color);
        }*/

/* Dropdown menu background color*/
.navbar-nav > li > .dropdown-menu {
    background-color: var(--header-back-color);
}


/* Dropdown menu font color*/
.navbar-nav > li > .nav-item a {
    color: var(--header-font-color);
}

/**************************************************************************************************************************************/
/**************************************************************************************************************************************/
/**************************************************************************************************************************************/

.navbar-brand {
    outline: none !important;
    border: 2px solid var(--header-back-color);
}
/*Display header menus on button hover*/
ul.nav li.dropdown:hover ul.dropdown-menu {
    display: block;
    margin-top: -1px;
}


.dropdown-menu {
    min-width: 300px;
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
}
/*Dropdown menu items font color*/
.navbar-nav > li > .dropdown-menu a {
    color: var(--dropdown-fore-color);
}

    /*Dropdown menu items hover background & font color*/
    .navbar-nav > li > .dropdown-menu a:hover {
        color: var(--dropdown-fore-hover);
        background-color: var(--dropdown-back-hover);
    }


/*Style for divider lines in dropdown menus*/
.divider-style {
    border-color: var(--menu-divider-color);
}

.search_container {
    width: 30%;
}


.navbar-dark .navbar-nav .nav-link {
    font-family: "Helvetica";
    font-size: 16px;
}


.footer-style {
    background-color: var(--footer-back-color);
    white-space: normal;
    color: var(--header-button-fore-hover);
}

.footer-link {
    color: white;
    font-size: 12px;
    border: 2px solid transparent;
}

    .footer-link:hover {
        color: white;
        text-decoration: underline;
    }

    .footer-link:focus {
        outline: none !important;
        border: 2px solid white;
    }

.footer-title {
    color: var(--brand-color);
    font-size: 16px;
    white-space: normal;
    font-family: var(--Main-Font);
}

    .footer-title:hover {
        color: var(--brand-hover-color);
        text-decoration: none;
    }

/*End Navbar Styles*/

/****************************************************************************************************************/
/****************************************************************************************************************/
/****************************************************************************************************************/
/****************************************************************************************************************/

/*Button Styles*/
.footer-button {
    color: var(--button-fore-color);
    background-color: var(--button-back-color);
    border: 1px solid var(--button-border-color);
}

    .footer-button:hover, .footer-button:focus, .footer-button:active, .footer-button.active, .open > .dropdown-toggle.footer-button {
        color: var(--button-fore-hover);
        background-color: var(--button-back-hover);
        border-color: var(--button-border-hover); /*set the color you want here*/
    }

    .footer-button:not(:hover) {
        color: var(--button-fore-color);
        background-color: var(--button-back-color);
        border: 1px solid var(--button-border-color);
    }



.search-box {
    border: 2px solid transparent;
}

    .search-box:focus {
        outline: none !important;
        border: 2px solid var(--header-button-fore-hover);
    }

.search-button {
    color: var(--button-fore-color);
    background-color: var(--button-back-color);
    outline: none !important;
    border: 2px solid var(--button-border-color);
}

    .search-button:hover {
        color: var(--button-fore-hover);
        background-color: var(--button-back-hover);
        outline: none !important;
        border-color: var(--header-button-fore-hover); /*set the color you want here*/
    }

    .search-button:focus {
        color: var(--button-fore-hover);
        background-color: var(--button-back-hover);
        outline: none !important;
        border-color: var(--header-button-fore-hover); /*set the color you want here*/
    }

@media (max-width: 3000px) {
    body {
        padding-top:250px;
    }
    .search-button {
    }

    .search-box {
    }
}

@media (max-width: 2000px) {
    body {
        padding-top: 220px;
    }

    .search-button {
    }

    .search-box {
    }
}

@media (max-width: 992px) {
    .search-button {
        font-size: medium;
        width: 100px;
        height: 50px;
    }

    .search-box {
    }
}

@media (max-width: 768px) {
    .search-button {
        font-size: small;
        width: 80px;
        height: 40px;
    }

    .search-box {
        width: 175px;
        height: 40px;
        font-size: smaller;
    }
}

@media (max-width: 320px) {
    .search-button {
        font-size: smaller;
        width: 70px;
        height: 35px;
    }

    .search-box {
        width: 150px;
        height: 35px;
        font-size: smaller;
    }
}



.header-button {
    color: var(--header-button-fore-color);
    background-color: var(--header-button-back-color);
    border: 2px solid var(--header-button-border-color);
    outline: none !important;
    margin-left: 5px;
}

    .header-button:hover, .header-button:focus, .header-button:active, .header-button.active, .open > .dropdown-toggle.header-button {
        color: var(--header-button-fore-hover) !important;
        background-color: var(--header-button-back-hover);
        border-color: var(--header-button-border-hover);
        outline: none !important;
        box-shadow: none;
    }


/****************************************************************************************************************************************************/
/****************************************************************************************************************************************************/
/****************************************************************************************************************************************************/
/****************************************************************************************************************************************************/
/****************************************************************************************************************************************************/
/*This is where the Navbar Menu Button Hover Color is set*/
/* Keep navbar button font color changed while menu is visible */
.navbar-nav .nav-item.dropdown:hover .nav-link,
.navbar-nav .nav-item.dropdown:focus .nav-link {
    background-color: var(--header-back-color) !important;
    color: var(--header-button-fore-hover) !important;
}

/* Change navbar button font color back to un-hovered color after button link clicked */
.navbar-nav .nav-item.dropdown .nav-link {
    background-color: var(--header-back-color) !important;
    color: var(--header-button-fore-color) !important;
}

.navbar-nav .nav-item.dropdown:active .nav-link {
    border-color: var(--header-back-color);
}

/*******************************************************************************************************************************************/
/*******************************************************************************************************************************************/
/*******************************************************************************************************************************************/
/*******************************************************************************************************************************************/
.dropdown-item {
    color: var(--dropdown-fore-color);
    background-color: var(--dropdown-back-color);
    white-space: normal !important;
}

    /*.dropdown-item:hover, .dropdown-item:focus, .dropdown-item:active, .dropdown-item.active, .open > .dropdown-toggle.dropdown-item {
        color: var(--button-fore-hover);
        background-color: var(--button-back-hover);
        border-color: var(--button-back-hover); 
        outline: none !important;
        box-shadow: none;
    }*/


.btn-group-xs > .btn, .btn-xs {
    padding: .25rem .4rem;
    font-size: .875rem;
    line-height: .5;
    border-radius: .2rem;
}

.caret-up {
    /* Safari */
    -webkit-transform: rotate(-180deg);
    /* Firefox */
    -moz-transform: rotate(-180deg);
    /* IE */
    -ms-transform: rotate(-180deg);
    /* Opera */
    -o-transform: rotate(-180deg);
    /* Internet Explorer */
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=6);
}
/*End Button Styles*/

/**********************************************************************************************************/

/*Text Styles*/
.headertext {
    color: var(--brand-color);
    font-size: 20px;
}

    .headertext:hover {
        text-decoration: none;
        color: var(--brand-hover-color);
    }

.whitetext {
    font-size: 13px;
    font-family: tahoma;
    color: #FFFFFF
}

a.whitetext {
    font-size: 13px;
    text-decoration: none;
    font-family: tahoma;
    color: #FFFFFF
}

    a.whitetext:hover {
        font-size: 13px;
        text-decoration: underline;
        font-family: tahoma;
        color: #FFFFFF
    }

.whiteboldtext {
    font-weight: bold;
    font-size: 13px;
    text-decoration: none;
    font-family: tahoma;
    color: #FFFFFF
}

.whitefootertext {
    font-size: 12px;
    font-family: tahoma;
    color: #ffffff
}

a.whitefootertext {
    font-size: 12px;
    text-decoration: none;
    font-family: tahoma;
    color: #ffffff
}

    a.whitefootertext:hover {
        font-size: 12px;
        text-decoration: underline;
        font-family: tahoma;
        color: #ffffff
    }

.largeredtext {
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    font-family: tahoma;
    color: #920001
}

.whiteheadertext {
    font-size: 18px;
    color: #ffffff;
    font-family: tahoma;
}

.largewhiteheadertext {
    font-size: 30px;
    color: #ffffff;
    font-family: tahoma;
}

a.whitetext_navbar {
    font-size: 13px;
    text-decoration: none;
    font-family: tahoma;
    color: #FFFFFF
}

    a.whitetext_navbar:hover {
        font-size: 13px;
        text-decoration: none;
        font-family: tahoma;
        color: #FFFFFF
    }
/*End Text Styles*/

/*************************************************************************************************************/
/*Misc. Styles*/
a.skip-main {
    left: -999px;
    position: absolute;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
    z-index: -999;
}

    a.skip-main:focus, a.skip-main:active {
        color: #fff;
        background-color: #000;
        left: auto;
        top: auto;
        width: 30%;
        height: auto;
        overflow: auto;
        margin: 10px 35%;
        padding: 5px;
        border-radius: 15px;
        border: 4px solid yellow;
        text-align: center;
        font-size: 1.2em;
        z-index: 999;
    }